package no.ntnu.idatt1002.demo.data.Economics;

import java.util.ArrayList;

/**
 * IncomeOverview is an abstract class for storing and getting
 * information on income.
 */
public class IncomeOverview extends ItemOverview {
    private ArrayList<Income> income;

    /**
     * An "empty" class constructor.
     */
    public IncomeOverview(){
        this.income = new ArrayList<>();
    }

    /**
     * Class constructor that takes in an ArrayList of Income as argument
     * @param income   An ArrayList of the Income you want to overview
     */
    public IncomeOverview(ArrayList<Income> income){
        this.income = income;
    }
}
